package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsPricingInventory;
import com.ruoyi.cs.domain.CsResourceCharging;

/**
 * 计价清单Service接口
 *
 * @author ruoyi
 * @date 2024-05-07
 */
public interface ICsPricingInventoryService
{
    /**
     * 查询计价清单
     *
     * @param inventoryId 计价清单主键
     * @return 计价清单
     */
    public CsPricingInventory selectCsPricingInventoryByInventoryId(String inventoryId);

    /**
     * 查询计价清单列表
     *
     * @param csPricingInventory 计价清单
     * @return 计价清单集合
     */
    public List<CsPricingInventory> selectCsPricingInventoryList(CsPricingInventory csPricingInventory);

    /**
     * 新增计价清单
     *
     * @param csPricingInventory 计价清单
     * @return 结果
     */
    public int insertCsPricingInventory(CsPricingInventory csPricingInventory);

    /**
     * 修改计价清单
     *
     * @param csPricingInventory 计价清单
     * @return 结果
     */
    public int updateCsPricingInventory(CsPricingInventory csPricingInventory);

    /**
     * 批量删除计价清单
     *
     * @param inventoryIds 需要删除的计价清单主键集合
     * @return 结果
     */
    public int deleteCsPricingInventoryByInventoryIds(String[] inventoryIds);

    /**
     * 删除计价清单信息
     *
     * @param inventoryId 计价清单主键
     * @return 结果
     */
    public int deleteCsPricingInventoryByInventoryId(String inventoryId);

    /**
     * 查询计价清单列表
     *
     * @param inventoryIds 计价清单主键ID
     * @return 计价清单集合
     */
    public List<CsPricingInventory> selectCsPricingInventoryInventoryIds(String[] inventoryIds);

    /**
     * 统计待修改已过期的计价清单列表
     * @return
     */
    public int countAccountExpirationList();

    /**
     * 修改已过期的计价清单列表
     * @return
     */
    public int editAccountExpirationList();

    /**
     * 获取计价清单_资源计费说明列表
     * @param inventoryId 计价单id
     * @return
     */
    public  List<CsResourceCharging> selectResourceChargingListByinventoryId(String inventoryId);
}
